Support » Plugin: qTranslate X » Urgent Problem with Dynamic Widgets Plugin

  • Resolved Robert Skiba

    (@robertskiba)


    HI guys,

    yesterday i changed from mqtranslate to your plugin as I heard that mqtranslate will not be developed anymore in favor to your plugin.

    Now I have a big problem on my multilingual website because I need the plugin “Dynamic Widgets” to show my widgets only if a special language is active.

    In the mods-section of this plugin, there is a file qt_module.php.

    I have tried to change the names of the constans and options used, but i didn’t get it to work with your plugin.

    Could you please have a look on it and maybe solve it? I’m pretty sure it’s just a thing of different names.

    (PS: before mqtranslate, i had of course the original qtranslate installed, so now there are also mqtranslate-options and qtranslate-options set in wordpress. I took over all mqtranslate options and all other plugins seem to find the options and see that qtx is installed.)

    https://wordpress.org/plugins/qtranslate-x/

Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Author John Clause

    (@johnclause)

    If the authors of that plugin adjusted it to qTranslate in the past, they will probably be happy to adjust it to -X as well. Have you contacted them?

    Hi guys,

    I’ve just been searching a solution to get Dynamic Widgets to work with qtranslate-x. I found out that it’s just a small compatibility problem with QTX:

    The original Qtranslate defines a variable calld QTRANS_INIT.

    This Variable is not defined at all anywhere in qtranslate-x

    I’m not a PHP expert, but I just put this two lines of code into the beginning of qtranslate_compatibility.php file.

    if(defined('QTRANS_INIT') == false) {
    define('QTRANS_INIT',true);}

    Then any plugin that uses QTRANS_INIT to detect the presence of QT should work again!

    Plugin Author John Clause

    (@johnclause)

    @robertskiba: I am glad that was so easy. I will QTRANS_INIT to be enabled when “Compatibility Functions” is on. Thanks a lot.

    Thank you very much for the quick response and solution. It works fine with the current beta!

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘Urgent Problem with Dynamic Widgets Plugin’ is closed to new replies.